export declare class WalletManager {
    private mainWallet;
    private tronMainWallet;
    private mnemonicPhrase;
    private readonly ethDerivationBasePath;
    private readonly tronDerivationBasePath;
    generateMnemonic(wordCount?: 12 | 24): string[];
    isValidMnemonic(mnemonic: string): boolean;
    isValidWord(word: string): boolean;
    createEvmWallet(index: number): {
        address: string;
        privateKey: string;
    };
    createTronWallet(index: number): {
        address: string;
        privateKey: string;
    };
    createSolanaAccount(accountIndex?: number): Promise<{
        publicKey: string;
        secretKey: string;
    }>;
    createChildWallet(index: number): Promise<{
        ethereum: {
            address: string;
            privateKey: string;
        };
        tron: {
            address: string;
            privateKey: string;
        };
        solana: {
            publicKey: string;
            secretKey: string;
        };
    }>;
    private deriveEd25519Path;
    createMainWallet(mnemonic: string): Promise<{
        ethereum: {
            address: string;
            privateKey: string;
        };
        tron: {
            address: string;
            privateKey: string;
        };
        solana: {
            publicKey: string;
            secretKey: string;
        };
    }>;
}
